<%@ page language="java" import="java.util.*" pageEncoding="gbk"%>
<!DOCTYPE html>
<html>
<head lang="en">
	<meta http-equiv="Content-Type" content="text/html; charset=gbk" />
 	<%@include file="../../../frame/assets/header-all.jsp"%>
	<style>
	.form-line .text-content{
		width:120px;
	}
	</style>
</head>
<body class="easyui-layout">
<form id="childform" class="easyui-form" data-options="novalidate:true">
	<input id="cpuid" type="hidden" />
	<div class="form-line clearfix" >		
<!-- 		<div class="fl">
			<span class="text-content"><em class="must"></em>cpu编号：</span> 
			<input id="cpunum" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="cpu编号必填项" > 
		</div>  -->
<!-- 		<div class="fl">
			<span class="text-content"><em class="must">*</em>是否启用：</span> 
		</div> -->
			<input id="detectionswitch"  type="hidden"  value="1"> 
	</div>
	<div class="form-line clearfix">
	<div class="fl">
			<span class="text-content"><em class="must"></em>cpu品牌：</span> 
			<input id="cpubrand" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="cpu品牌必填项" > 
		</div>  
		<div class="fl">
			<span class="text-content"><em class="must"></em>cpu型号：</span> 
			<input id="cpumodel" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="cpu型号必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>内核数量：</span> 
			<input id="cpucoresnum" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="内核数量必填项" > 
		</div>
		<div class="fl">
			<span class="text-content"><em class="must">*</em>报警上水位：</span> 
			<input id="alarmupperlevel" class="easyui-textbox" data-options="required:true,validType:'length[0,40]'" missingMessage="报警上水位必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must">*</em>报警下水位：</span> 
			<input id="alarmunderlevel" class="easyui-textbox" data-options="required:true,validType:'length[0,40]'" missingMessage="报警下水位必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">	
	
		<div class="fl">
			<span class="text-content"><em class="must"></em>备注：</span> 
			<textarea id="remarks"  style="width:441px;height:80px"></textarea>  			
		</div> 	 
		<!-- <div class="fl">
			<span class="text-content"><em class="must"></em>备注：</span> 
			<input id="remarks" class="easyui-textbox" data-options="required:false,validType:'length[0,128]'" missingMessage="备注必填项" > 
		</div> --> 
	</div>
	
	
	
	<div class="form-line hidden">
		 
	</div>
</form>
</body>
</html>
<script type="text/javascript">
var winId	= $.getUrlParam("winId");
var records = top.$("#"+winId).panel("options").data;
$(function(){
/* 	//加载下拉选项
	$('#detectionswitch').combobox({
		 url:'xtclAction!query_Xtcl.do?csdl=ywTaskEnable',
		 textField:"csmc",  
		 valueField:"csdm",
		 panelWidth:148,
		 value:"1" 
	}); */
	
	setTimeout(loadValue,500);
});
function loadValue(){
	if(records){
		$("#cpuid").val(records.cpuid);
		$("#machineid").textbox("setValue",records.machineid);
		$("#cpunum").textbox("setValue",records.cpunum);
		$("#cpubrand").textbox("setValue",records.cpubrand);
		$("#cpumodel").textbox("setValue",records.cpumodel);
		$("#cpucoresnum").textbox("setValue",records.cpucoresnum);
		$("#alarmunderlevel").textbox("setValue",records.alarmunderlevel);
		$("#alarmupperlevel").textbox("setValue",records.alarmupperlevel);
		$("#currentusage").textbox("setValue",records.currentusage);
		$("#currentusageuptime").textbox("setValue",records.currentusageuptime);
		//$("#detectionswitch").combobox("setValue",records.detectionswitch);
		$("#detectionswitch").val(records.detectionswitch);
		$("#detectionstarttime").textbox("setValue",records.detectionstarttime);
		$("#createaccount").textbox("setValue",records.createaccount);
		$("#createtime").textbox("setValue",records.createtime);
		$("#modifyaccount").textbox("setValue",records.modifyaccount);
		$("#modifytime").textbox("setValue",records.modifytime);
//		$("#remarks").textbox("setValue",records.remarks);
		$("#remarks").val(records.remarks);

	}else{
		
	}
}
/*
var xx1 = $("#xx1").textbox("getValue");//文本
var xx2 = $("#xx2").combobox("getValue");//下拉
var xx3 = $("#xx3").datetimebox("getValue");//日期
var xx4 = $("#xx4").numberbox("getValue");//数字
$('#xx5').combobox({  
	url:'xtclAction!select_Xtcl.do?csdl=xx5&page=1&rows=1000', 
	textField:"csmc",  
	valueField:"csdm",
	panelWidth:148,
	loadFilter:function(data){
		//data.unshift({"csmc":"选择","csdm":""});
		return data;
	}
});
$("#xx6").textbox("setValue",records.xx6);
$("#xx7").combobox("setValue",records.xx7);
$("#xx8").combobox("setValue",records.xx8);
$("#xx9").datetimebox("setValue",$.getNowTime());
$("#xx10").datetimebox("setValue",$.getTodayStart('00:00:00',-3));//往前推3天  +'00:00:00'
$("#xx11").datetimebox("setValue",$.getTodayEnd());//当天 +'23:59:59'	
$("#xx12").datetimebox("setValue",$.getDateNumToStr(records.xx12));
$("#xx13").numberbox("setValue",records.xx13);
*/
</script>
